%global packname  RcppCCTZ
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.2.3
Release:          3%{?dist}
Summary:          'Rcpp' Bindings for the 'CCTZ' Library

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-Rcpp

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-Rcpp-devel >= 0.11.0
%if %{fedora} >= 28
BuildRequires:    cctz-devel
%endif

%description
'Rcpp' Access to the 'CCTZ' timezone library is provided. 'CCTZ' is a C++
library for translating between absolute and civil times using the rules
of a time zone.


%prep
%setup -q -c -n %{packname}

%if %{fedora} >= 28
# Remove bundled cctz.
rm %{packname}/inst/include/civil_time.h
rm %{packname}/inst/include/civil_time_detail.h
rm %{packname}/inst/include/time_zone.h
rm %{packname}/inst/include/time_zone_fixed.h
rm %{packname}/inst/include/time_zone_if.h
rm %{packname}/inst/include/time_zone_impl.h
rm %{packname}/inst/include/time_zone_info.h
rm %{packname}/inst/include/time_zone_libc.h
rm %{packname}/inst/include/time_zone_posix.h
rm %{packname}/inst/include/tzfile.h
rm %{packname}/inst/include/zone_info_source.h
rm %{packname}/src/*.cc

# Link against system cctz.
sed -i '/PKG_CXXFLAGS/ s~$~ -I/usr/include/cctz~' %{packname}/src/Makevars
echo "PKG_LIBS = -lcctz" >> %{packname}/src/Makevars
sed -i '/time_zone_if/d' %{packname}/src/utilities.cpp
%endif


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.Rd
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/include
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 0.2.3-3
- rebuild for R 3.5.0

* Mon Mar 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.3-2
- Add missing Rcpp Requires

* Sat Mar 17 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.3-1
- initial package for Fedora
